For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resources

List

get

Retrieves all resource notifications configurations.

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve notifications (optional)

Responses
200

Success

application/json; api-version=1.0

Notification Resource

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional
enabledbooleanOptional
hasThresholdbooleanOptional
typestring · enumOptional

Type of notification

Possible values:
recipientsstring · nullableOptional
executeScriptbooleanOptional
scriptIdinteger · int32Optional
sendEmailbooleanOptional
gracePeriodinteger · int32Optional
enableGracePeriodbooleanOptional
intervalinteger · int32Optional
enableIntervalbooleanOptional
waitUntilRecoveredbooleanOptional
allServersbooleanOptional
targetTypestring · enumOptional

Target Type

Possible values:
targetIdsinteger · int32[] · nullableOptional
thresholdinteger · int32Optional
directionstring · enumOptional

Threshold direction

Possible values:
get/api/Notifications/Resources
GET /api/Notifications/Resources HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "adminCreate": "text",
    "adminLastMod": "text",
    "timeCreate": "2026-01-01T00:00:00.000Z",
    "timeLastMod": "2026-01-01T00:00:00.000Z",
    "siteId": 1,
    "enabled": true,
    "hasThreshold": true,
    "type": [
      "0 = Unknown",
      "4096 = CPU",
      "8192 = Memory",
      "12288 = RDSH",
      "16384 = Agent",
      "20480 = VDI",
      "24576 = PubItem",
      "28672 = License",
      "32768 = Authentication",
      "36864 = Gateway",
      "40960 = Disk",
      "45056 = Tenant",
      "1097729 = FailedTunneledSess",
      "1097730 = FailedTunneledSessTenantBroker",
      "17829888 = CPUEvent",
      "17833984 = MemoryEvent",
      "17838081 = RDSHConnectedSessionEvent",
      "17838082 = RDSHDisconnectedSessionEvent",
      "17862657 = TunneledSess",
      "34615299 = RDSHConnectedSessionEventPerc",
      "34615300 = RDSHDisconnectedSessionEventPerc",
      "34660353 = AVDActiveSessionsUtilization",
      "34660354 = AVDDisconnectedSessionsUtilization"
    ],
    "recipients": "text",
    "executeScript": true,
    "scriptId": 1,
    "sendEmail": true,
    "gracePeriod": 1,
    "enableGracePeriod": true,
    "interval": 1,
    "enableInterval": true,
    "waitUntilRecovered": true,
    "allServers": true,
    "targetType": [
      "0 = AllServers",
      "3 = Gateways",
      "5 = RemotePCs",
      "7 = PublishingAgents",
      "10 = VDIHostPools",
      "16 = RDSHGroups",
      "46 = EnrollmentServers",
      "65 = AVDHostPools",
      "-1 = ForceAllAgents"
    ],
    "targetIds": [
      1
    ],
    "threshold": 1,
    "direction": [
      "1 = RisesAbove",
      "2 = LowersBelow"
    ]
  }
]

Create

post

A configuration of a resource notification such as high/low RAM/CPU usage etc.

Body
siteIdinteger · int32Optional

Site ID where notification event is setup. Current site ID is used if siteId is omitted.

gracePeriodinteger · int32Optional

Grace period after the notification was done (minutes).

enableGracePeriodbooleanOptional

Enable/Disable grace period.

recipientsstring[] · nullableOptional

Recipients to notify of the event.

sendEmailbooleanOptional

Enable/Disable email notification.

scriptIdinteger · int32Optional

Script to execute which has this ID.

executeScriptbooleanOptionalDefault: false
intervalinteger · int32Optional

Invocation interval (minutes).

enableIntervalbooleanOptional

Enable/Disable notification intervals.

Default: false
waitUntilRecoveredbooleanOptional

Wait until recovered.

Default: false
allServersboolean · nullableOptional

All servers in site.

targetTypestring · enumOptional

Target Type

Possible values:
targetIdsinteger · int32[] · nullableOptional

Target Ids.

typestring · enumRequired

RAS Notification Type

Possible values:
thresholdinteger · int32Optional

Tolerance value which triggers notification.

directionstring · enumOptional

Threshold direction

Possible values:
Responses
201

Created

application/json; api-version=1.0

Notification Resource

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional
enabledbooleanOptional
hasThresholdbooleanOptional
typestring · enumOptional

Type of notification

Possible values:
recipientsstring · nullableOptional
executeScriptbooleanOptional
scriptIdinteger · int32Optional
sendEmailbooleanOptional
gracePeriodinteger · int32Optional
enableGracePeriodbooleanOptional
intervalinteger · int32Optional
enableIntervalbooleanOptional
waitUntilRecoveredbooleanOptional
allServersbooleanOptional
targetTypestring · enumOptional

Target Type

Possible values:
targetIdsinteger · int32[] · nullableOptional
thresholdinteger · int32Optional
directionstring · enumOptional

Threshold direction

Possible values:
post/api/Notifications/Resources
POST /api/Notifications/Resources HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 712

{
  "siteId": 1,
  "gracePeriod": 1,
  "enableGracePeriod": true,
  "recipients": [
    "text"
  ],
  "sendEmail": true,
  "scriptId": 1,
  "executeScript": false,
  "interval": 1,
  "enableInterval": false,
  "waitUntilRecovered": false,
  "allServers": true,
  "targetType": [
    "0 = AllServers",
    "3 = Gateways",
    "5 = RemotePCs",
    "7 = PublishingAgents",
    "10 = VDIHostPools",
    "16 = RDSHGroups",
    "46 = EnrollmentServers",
    "65 = AVDHostPools",
    "-1 = ForceAllAgents"
  ],
  "targetIds": [
    1
  ],
  "type": [
    "17829888 = CPUEvent",
    "17833984 = MemoryEvent",
    "17838081 = RDSHConnectedSessionEvent",
    "17838082 = DisconnectSessionEvent",
    "17862657 = TunneledSess",
    "34615299 = RDSHConnectSessionEvent",
    "34615300 = RDSHDisconnectSessionEvent"
  ],
  "threshold": 1,
  "direction": [
    "1 = RisesAbove",
    "2 = LowersBelow"
  ]
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "siteId": 1,
  "enabled": true,
  "hasThreshold": true,
  "type": [
    "0 = Unknown",
    "4096 = CPU",
    "8192 = Memory",
    "12288 = RDSH",
    "16384 = Agent",
    "20480 = VDI",
    "24576 = PubItem",
    "28672 = License",
    "32768 = Authentication",
    "36864 = Gateway",
    "40960 = Disk",
    "45056 = Tenant",
    "1097729 = FailedTunneledSess",
    "1097730 = FailedTunneledSessTenantBroker",
    "17829888 = CPUEvent",
    "17833984 = MemoryEvent",
    "17838081 = RDSHConnectedSessionEvent",
    "17838082 = RDSHDisconnectedSessionEvent",
    "17862657 = TunneledSess",
    "34615299 = RDSHConnectedSessionEventPerc",
    "34615300 = RDSHDisconnectedSessionEventPerc",
    "34660353 = AVDActiveSessionsUtilization",
    "34660354 = AVDDisconnectedSessionsUtilization"
  ],
  "recipients": "text",
  "executeScript": true,
  "scriptId": 1,
  "sendEmail": true,
  "gracePeriod": 1,
  "enableGracePeriod": true,
  "interval": 1,
  "enableInterval": true,
  "waitUntilRecovered": true,
  "allServers": true,
  "targetType": [
    "0 = AllServers",
    "3 = Gateways",
    "5 = RemotePCs",
    "7 = PublishingAgents",
    "10 = VDIHostPools",
    "16 = RDSHGroups",
    "46 = EnrollmentServers",
    "65 = AVDHostPools",
    "-1 = ForceAllAgents"
  ],
  "targetIds": [
    1
  ],
  "threshold": 1,
  "direction": [
    "1 = RisesAbove",
    "2 = LowersBelow"
  ]
}

Get

get

Retrieve a specific resource notification by ID.

Path parameters
idinteger · int32Required

Notification resource ID

Responses
200

Success

application/json; api-version=1.0

Notification Resource

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional
enabledbooleanOptional
hasThresholdbooleanOptional
typestring · enumOptional

Type of notification

Possible values:
recipientsstring · nullableOptional
executeScriptbooleanOptional
scriptIdinteger · int32Optional
sendEmailbooleanOptional
gracePeriodinteger · int32Optional
enableGracePeriodbooleanOptional
intervalinteger · int32Optional
enableIntervalbooleanOptional
waitUntilRecoveredbooleanOptional
allServersbooleanOptional
targetTypestring · enumOptional

Target Type

Possible values:
targetIdsinteger · int32[] · nullableOptional
thresholdinteger · int32Optional
directionstring · enumOptional

Threshold direction

Possible values:
get/api/Notifications/{id}/Resources
GET /api/Notifications/{id}/Resources HTTP/1.1
Accept: */*
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "siteId": 1,
  "enabled": true,
  "hasThreshold": true,
  "type": [
    "0 = Unknown",
    "4096 = CPU",
    "8192 = Memory",
    "12288 = RDSH",
    "16384 = Agent",
    "20480 = VDI",
    "24576 = PubItem",
    "28672 = License",
    "32768 = Authentication",
    "36864 = Gateway",
    "40960 = Disk",
    "45056 = Tenant",
    "1097729 = FailedTunneledSess",
    "1097730 = FailedTunneledSessTenantBroker",
    "17829888 = CPUEvent",
    "17833984 = MemoryEvent",
    "17838081 = RDSHConnectedSessionEvent",
    "17838082 = RDSHDisconnectedSessionEvent",
    "17862657 = TunneledSess",
    "34615299 = RDSHConnectedSessionEventPerc",
    "34615300 = RDSHDisconnectedSessionEventPerc",
    "34660353 = AVDActiveSessionsUtilization",
    "34660354 = AVDDisconnectedSessionsUtilization"
  ],
  "recipients": "text",
  "executeScript": true,
  "scriptId": 1,
  "sendEmail": true,
  "gracePeriod": 1,
  "enableGracePeriod": true,
  "interval": 1,
  "enableInterval": true,
  "waitUntilRecovered": true,
  "allServers": true,
  "targetType": [
    "0 = AllServers",
    "3 = Gateways",
    "5 = RemotePCs",
    "7 = PublishingAgents",
    "10 = VDIHostPools",
    "16 = RDSHGroups",
    "46 = EnrollmentServers",
    "65 = AVDHostPools",
    "-1 = ForceAllAgents"
  ],
  "targetIds": [
    1
  ],
  "threshold": 1,
  "direction": [
    "1 = RisesAbove",
    "2 = LowersBelow"
  ]
}

Update

put

Update resource notification by ID.

Path parameters
idinteger · int32Required

Resource notification ID

Body
enabledboolean · nullableOptional

Enable/Disable notification.

gracePeriodinteger · int32 · nullableOptional

Notification grace period (minutes).

enableGracePeriodboolean · nullableOptional

Enable/Disable grace period.

recipientsstring[] · nullableOptional

Notification recipients.

sendEmailboolean · nullableOptional

Enable/Disable email notification.

scriptIdinteger · int32 · nullableOptional

Use script of given ID.

executeScriptboolean · nullableOptional

Enable/Disable notification scripts.

intervalinteger · int32 · nullableOptional

Notification interval (minutes).

enableIntervalboolean · nullableOptional

Enable/Disable notification intervals.

waitUntilRecoveredboolean · nullableOptional

Wait until recovered.

allServersboolean · nullableOptional

All servers in site.

targetTypestring · enumOptional

Target Type

Possible values:
targetIdsinteger · int32[] · nullableOptional

Target IDs.

thresholdinteger · int32 · nullableOptional

Tolerance value which triggers notification.

directionstring · enumOptional

Threshold direction

Possible values:
Responses
204

No Content

No content

put/api/Notifications/{id}/Resources
PUT /api/Notifications/{id}/Resources HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 479

{
  "enabled": true,
  "gracePeriod": 1,
  "enableGracePeriod": true,
  "recipients": [
    "text"
  ],
  "sendEmail": true,
  "scriptId": 1,
  "executeScript": true,
  "interval": 1,
  "enableInterval": true,
  "waitUntilRecovered": true,
  "allServers": true,
  "targetType": [
    "0 = AllServers",
    "3 = Gateways",
    "5 = RemotePCs",
    "7 = PublishingAgents",
    "10 = VDIHostPools",
    "16 = RDSHGroups",
    "46 = EnrollmentServers",
    "65 = AVDHostPools",
    "-1 = ForceAllAgents"
  ],
  "targetIds": [
    1
  ],
  "threshold": 1,
  "direction": [
    "1 = RisesAbove",
    "2 = LowersBelow"
  ]
}

No content

Delete

delete

Delete a resource notification by ID.

Path parameters
idinteger · int32Required

Resource notification ID

Responses
204

No Content

No content

delete/api/Notifications/{id}/Resources
DELETE /api/Notifications/{id}/Resources HTTP/1.1
Accept: */*

No content